# $Revision: 1.9 $, $Date: 2005/04/22 16:20:44 $
Summary:	A PyQt GUI for BitTorrent
Summary(pl):	Interfejs GUI do BitTorrenta
Name:		qtorrent
Version:	0.9.6.1
Release:	2
License:	MIT
Group:		Applications/Networking
Source0:	http://thegraveyard.org/files/%{name}-%{version}.tar.bz2
# Source0-md5:	ee6164fb26e0400f6083516f59ea77a3
URL:		http://thegraveyard.org/qtorrent.php
BuildRequires:	python
BuildRequires:	python-PyQt
BuildRequires:	python-devel
BuildRequires:	python-modules
%pyrequires_eq	python-libs
Requires:	python-PyQt
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
QTorrent is a BitTorrent client that uses the Qt widget-set. It allows
you to have several torrents open at the same time from within the
same program window, offering you easy overview, access and management
through a list-mode. Every torrent also has it's own page where you
can control things like upload speed and upload slots. A page that
shows some statistics of all open torrents is also available.

%description -l pl
QTorrent jest klientem BitTorrenta uywajcym widgetw Qt. Pozwala na
otwarcie kilku torrentw jednoczenie w jednym oknie programu. Oferuje
atwy podgld, dostp i zarzdzanie przez list. Kady potok
("torrent") ma take wasn stron przez ktra mona kontrolowa
szybko uploadu i sloty. Strona te przedstawia pewne statystyki
wszystkich otwartych potokw.

%prep
%setup -q

%build
%{__python} setup.py build

# regenerate from ui files
cd pyqtorrent
pyuic torrentwidget.ui > torrentwidget.py
pyuic torrentwindow.ui > torrentwindow.py
pyuic torrentsettings.ui > torrentsettings.py

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt MANIFEST PKG-INFO
%attr(755,root,root) %{_bindir}/*
%dir %{py_sitescriptdir}/pyqtorrent
%dir %{py_sitescriptdir}/pyqtorrent/BitTornado
%dir %{py_sitescriptdir}/pyqtorrent/BitTornado/BT1
%{py_sitescriptdir}/pyqtorrent/*.py[co]
%{py_sitescriptdir}/pyqtorrent/BitTornado/*.py[co]
%{py_sitescriptdir}/pyqtorrent/BitTornado/BT1/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qtorrent.spec,v $
Revision 1.9  2005/04/22 16:20:44  charles
- always regenerate from *.ui files
- BR: python, python-modules
- rel. 2, STBR

Revision 1.8  2005/01/09 17:49:07  saq
- missing pyreqeq

Revision 1.7  2004/11/22 22:39:40  kolodko
- up to 0.9.6.1

Revision 1.6  2004/10/31 14:59:02  kolodko
- BR: python-devel

Revision 1.5  2004/10/25 21:59:35  qboosh
- more pl(?)

Revision 1.4  2004/10/24 22:49:23  paladine
- QT->Qt
- spelling fixes

Revision 1.3  2004/09/03 22:32:47  ankry
- cosmetics

Revision 1.2  2004/09/03 21:18:57  twittner
- fix URL

Revision 1.1  2004/09/03 20:36:33  twittner
- new
